### Function

# Adw AnimationTargetFunc

since: 1

#### Declaration

    void
    (* AdwAnimationTargetFunc) (
      double value,
      gpointer user_data
    )

#### Description [src]

Prototype for animation targets based on user callbacks.

Available since: 1

#### Parameters

`value`

  Type: `double`

  The animation value.

`user_data`

  Type: `gpointer`

  The user data provided when creating the target.

  The argument can be `NULL`.
  The data is owned by the caller of the function.